contr {lava} | R Documentation

## Create contrast matrix

### Description

Create contrast matrix typically for use with 'estimate' (Wald tests).

### Usage

    contr(p, n, diff = TRUE, ...)

### Arguments

`p` | index of non-zero entries (see example)
`n` | Total number of parameters (if omitted the max number in p will be used)
`diff` | If FALSE all non-zero entries are +1, otherwise the second non-zero element in each row will be -1.
`...` | Additional arguments to lower level functions

### Examples

    contr(2,n=5)
    contr(as.list(2:4),n=5)
    contr(list(1,2,4),n=5)
    contr(c(2,3,4),n=5)
    contr(list(c(1,3),c(2,4)),n=5)
    contr(list(c(1,3),c(2,4),5))

    parsedesign(c("aa","b","c"),"?","?",diff=c(FALSE,TRUE))

[Package lava version 1.5.1 Index]